$(function() {
			//验证银行卡
			function CheckBankNo(t_bankno) {　　
				var bankno = $.trim($('.bankcard').val());　　
				if(bankno == "") {
					$('.bankcard').val("");
					$('.bankcard').attr("placeholder", "请填写银行卡号");
					return false;
				}
				if(bankno.length < 16 || bankno.length > 19) {
					$('.bankcard').val("");
					$('.bankcard').attr("placeholder", "银行卡号长度必须在16到19之间");
					return false;
				}
				var num = /^\d*$/; //全数字
				if(!num.exec(bankno)) {
					$('.bankcard').val("");
					$('.bankcard').attr("placeholder", "银行卡号必须全为数字");
					return false;
				}
				//开头6位
				var strBin = "10,18,30,35,37,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,58,60,62,65,68,69,84,87,88,94,95,98,99";
				if(strBin.indexOf(bankno.substring(0, 2)) == -1) {
					$('.bankcard').val("");
					$('.bankcard').attr("placeholder", "银行卡号开头6位不符合规范");
					return false;
				}
				//Luhm校验（新）

				return true;
			}

			// 验证中文名称
			function isChinaName(name) {
				var pattern = /^[\u4E00-\u9FA5]{1,4}$/;
				return pattern.test(name);
			}

			// 验证手机号
			function isPhoneNo(phone) {
				var pattern = /^1[34578]\d{9}$/;
				return pattern.test(phone);
			}

			// 验证身份证
			function isCardNo(card) {
				var pattern = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
				return pattern.test(card);
			}

			// 验证函数
			function formValidate() {
				var strname = '';
				var strphone = '';
				var stridcard = '';

				// 判断名称
				if($.trim($('.username').val()).length == 0) {
					strname += '名称没有输入\n';

					$('.username').focus();
				} else {
					if(isChinaName($('.username').val()) == false) {
						strname += '名称不合法\n';
						$('.username').val("");
						$('.username').attr("placeholder", "" + strname + "");
						$('.username').focus();
					}
				}

				//判断手机号码
				if($.trim($('.phonenum').val()).length == 0) {
					strphone += '手机号没有输入\n';
					$('.phonenum').focus();
				} else {
					if(isPhoneNo($.trim($('.phonenum').val()) == false)) {
						strphone += '手机号码不正确\n';
						$('.phonenum').focus();
					}
				}

				// 验证身份证
				if($.trim($('.idcard').val()).length == 0) {
					stridcard += '身份证号码没有输入\n';
					$('.idcard').focus();
				} else {
					if(isCardNo($.trim($('.idcard').val())) == false) {
						$('.idcard').val("");
						stridcard += '身份证号不正确\n';
						$('.idcard').focus();
					}
				}

				// 如果没有错误则提交
				if(strname != '' || strphone != '' || stridcard != '') {
					$('.username').attr("placeholder", "" + strname + "");
					$('.idcard').attr("placeholder", "" + stridcard + "");
					$('.phonenum').attr("placeholder", "" + strphone + "");
					return false;
				}
			}

			$('.submit').click(function() {
				CheckBankNo($('.bankcard').val());
				formValidate();
				if($('.username').val()!='' && $('.idcard').val()!='' && $('.phonenum').val()!='' && $('.bankcard').val()!=''){
					location.href="../html/audit2.html";
				}
			});

		})
